Builds
List Function Builds
GET
/
v1
/
functions
/
builds
List Function Builds
curl --request GET \
--url https://api.browserbase.com/v1/functions/builds \
--header 'X-BB-API-Key: <api-key>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request": {
"entrypoint": "<string>",
"functionNames": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"builtFunctions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdVersion": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"functionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"functionBuildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sessionCreateParams": {},
"userParamsSchema": {}
}
}
],
"cause": {
"message": "<string>"
}
}
],
"total": 1
}Authorizations
Your Browserbase API Key.
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 100Was this page helpful?
⌘I
List Function Builds
curl --request GET \
--url https://api.browserbase.com/v1/functions/builds \
--header 'X-BB-API-Key: <api-key>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request": {
"entrypoint": "<string>",
"functionNames": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"builtFunctions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdVersion": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"functionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"functionBuildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sessionCreateParams": {},
"userParamsSchema": {}
}
}
],
"cause": {
"message": "<string>"
}
}
],
"total": 1
}